gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.LockButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype LockButtonAccessible = LockButtonAccessible (ManagedPtr LockButtonAccessible)
- class (GObject o, IsDescendantOf LockButtonAccessible o) => IsLockButtonAccessible o
- toLockButtonAccessible :: (MonadIO m, IsLockButtonAccessible o) => o -> m LockButtonAccessible

# Exported types

newtype LockButtonAccessible Source #

Memory-managed wrapper type.

Constructors

LockButtonAccessible (ManagedPtr LockButtonAccessible) |

#### Instances

Instances details

Eq LockButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible Methods (==) :: LockButtonAccessible -> LockButtonAccessible -> Bool Source # (/=) :: LockButtonAccessible -> LockButtonAccessible -> Bool Source #
GObject LockButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible
ManagedPtrNewtype LockButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible Methods toManagedPtr :: LockButtonAccessible -> ManagedPtr LockButtonAccessible Source #
TypedObject LockButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes LockButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible
IsGValue (Maybe LockButtonAccessible) Source # | Convert `LockButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe LockButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe LockButtonAccessible) Source #
type ParentTypes LockButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible type ParentTypes LockButtonAccessible = '[ButtonAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Image]

class (GObject o, IsDescendantOf LockButtonAccessible o) => IsLockButtonAccessible o Source #

Type class for types which can be safely cast to `LockButtonAccessible`, for instance with `toLockButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf LockButtonAccessible o) => IsLockButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.LockButtonAccessible

toLockButtonAccessible :: (MonadIO m, IsLockButtonAccessible o) => o -> m LockButtonAccessible Source #

Cast to `LockButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.